org.springframework.jmx.export.metadata

## Class JmxMetadataUtils

- java.lang.Object
- - org.springframework.jmx.export.metadata.JmxMetadataUtils

-     public abstract class JmxMetadataUtils
      extends Object

  Utility methods for converting Spring JMX metadata into their plain JMX equivalents.
  Since:
    2.0
  Author:
    Rob Harrop, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxMetadataUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModelMBeanNotificationInfo` | `convertToModelMBeanNotificationInfo(ManagedNotification notificationInfo)` Convert the supplied `ManagedNotification` into the corresponding `ModelMBeanNotificationInfo`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxMetadataUtils

          public JmxMetadataUtils()

  - ### Method Detail

    - #### convertToModelMBeanNotificationInfo

          public static ModelMBeanNotificationInfo convertToModelMBeanNotificationInfo(ManagedNotification notificationInfo)

      Convert the supplied `ManagedNotification` into the corresponding `ModelMBeanNotificationInfo`.